%define name gnugk
%define version 2.2.3
%define release %mkrel 6

Summary:	OpenH323 Gatekeeper - The GNU Gatekeeper
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.gnugk.org/
Source0:	http://prdownloads.sourceforge.net/openh323gk/%{name}-%{version}-2.tar.bz2
Source2:	gnugk.init
Source3:	gnugk.sysconfig
# Fix compilation on GCC 4.1, backport from 2.2.4 taken from CVS
Patch0:		gnugk-2.2.3-gcc41.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	file
BuildRequires:	linuxdoc-tools
BuildRequires:	openh323-devel pwlib-devel
Requires:	openh323_1
BuildRequires:	pkgconfig
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The GNU Gatekeeper (GnuGk) is a full featured H.323 gatekeeper,
available freely under GPL license. It is based on the Open H.323
stack. Both components together form the basis for a free IP
telephony system (VOIP).

%prep

%setup -q -n openh323gk-%{version}
%patch0 -p0 -b .gcc41

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
autoconf

export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
export CXXFLAGS="%{optflags} -DLDAP_DEPRECATED"

%configure

%make \
    OPTCCFLAGS="%{optflags}" \
    OH323_LIBDIR=%{_libdir} \
    PWLIBDIR=%{_datadir}/pwlib \
    OPENH323DIR=%{_prefix} \
    PREFIX=%{_prefix} \
    PWLIB_BUILD=1 \
    LDFLAGS="-L%{_libdir}" \
    optshared addpasswd

make doc

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_var}/log/%{name}
install -d %{buildroot}%{_var}/run/%{name}

install -m0755 obj_*/%{name} %{buildroot}%{_sbindir}/
install -m0755 obj_*/addpasswd %{buildroot}%{_sbindir}/%{name}-addpasswd

install -m0644 etc/complete.ini %{buildroot}%{_sysconfdir}/%{name}.ini
install -m0755 %SOURCE2 %{buildroot}%{_initrddir}/%{name}
install -m0644 %SOURCE3 %{buildroot}%{_sysconfdir}/sysconfig/%{name}

cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} << EOF
/var/log/%{name}/%{name}.log {
    rotate 30
    size=100M
    notifempty
    missingok
    postrotate
        %{_initrddir}/%{name} condrestart
    endscript
}
EOF

%pre
%_pre_useradd %{name} %{_localstatedir}/%{name} /bin/false

%postun
%_postun_userdel %{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc billing.pl changes.txt copying docs/manual/*.html docs/*.txt etc contrib
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.ini
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0755,root,root) %{_sbindir}/%{name}-addpasswd
%dir %attr(0755,%{name},%{name}) %{_var}/run/%{name}
%dir %attr(0755,%{name},%{name}) %{_var}/log/%{name}



%changelog
* Wed May 09 2007 Adam Williamson <awilliamson@mandriva.com> 2.2.3-6mdv2007.1
+ Revision: 25381
- rebuild against openssl 0.9.8 to fix app not starting
- add patch backported from 2.2.4 to fix GCC 4.1 build issues
- don't compress patches
- clean spec

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)


* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-5mdk
- rebuilt against MySQL-5.0.15

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-4mdk
- rebuild

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-3mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-2mdk
- 2.2.3-2 (Minor bugfixes)

* Wed Aug 17 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-1mdk
- 2.2.3 (Major feature enhancements)

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-1mdk
- 2.2.2

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.1-1mdk
- initial Mandriva package

